Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Types | Static Public Member Functions | List of all members
faiss::gpu::Math< T > Struct Template Reference

## Public Types
typedef T | ScalarType

## Static Public Member Functions
static __device__ T | add (T a, T b)
static __device__ T | sub (T a, T b)
static __device__ T | mul (T a, T b)
static __device__ T | neg (T v)
static __device__ T | reduceAdd (T v)
| For a vector type, this is a horizontal add, returning sum(v_i)
static __device__ bool | lt (T a, T b)
static __device__ bool | gt (T a, T b)
static __device__ bool | eq (T a, T b)
static __device__ T | zero ()

## Detailed Description

### template<typename T>
struct faiss::gpu::Math< T >

Definition at line 22 of file MathOperators.cuh.

The documentation for this struct was generated from the following file:

- /data/users/hoss/faiss/gpu/utils/MathOperators.cuh